geany-plugins 1.22
authorYaakov Selkowitz <yselkowitz@users.sourceforge.net>
Mon, 27 Aug 2012 04:45:56 +0000 (23:45 -0500)
committerYaakov Selkowitz <yselkowitz@users.sourceforge.net>
Mon, 27 Aug 2012 04:45:56 +0000 (23:45 -0500)
0.21.1-no-undefined.patch
README [deleted file]
geany-plugins-1.22-1.cygport [moved from geany-plugins-0.21.1-1.cygport with 55% similarity]
setup.hint [deleted file]

index 0eea190411923886e5668e5978de9e290a4404b1..464da0094125ef0432ae5513a342d3d09ade4bcf 100644 (file)
@@ -9,23 +9,12 @@
  
  COMMONLIBS = \
        $(GEANY_LIBS) \
---- origsrc/geany-plugins-0.21.1/debugger/src/Makefile.am      2011-10-01 23:17:30.000000000 -0500
-+++ src/geany-plugins-0.21.1/debugger/src/Makefile.am  2011-11-29 02:22:56.865384400 -0600
-@@ -61,7 +61,7 @@ debugger_la_SOURCES = \
-       wtree.c     \
-       wtree.h
--debugger_la_LIBADD = $(COMMONLIBS) -lutil
-+debugger_la_LIBADD = $(COMMONLIBS) $(VTE_LIBS) -lutil
- debugger_la_CFLAGS = $(AM_CFLAGS) $(VTE_CFLAGS) -DDBGPLUG_DATA_DIR=\"$(plugindatadir)\" -DPLUGIN_NAME=\"$(plugin)\"
- include $(top_srcdir)/build/cppcheck.mk
 --- origsrc/geany-plugins-0.21.1/geanypg/src/Makefile.am       2011-10-01 23:17:30.000000000 -0500
 +++ src/geany-plugins-0.21.1/geanypg/src/Makefile.am   2011-11-29 02:44:06.786019700 -0600
 @@ -20,6 +20,7 @@ geanypg_la_SOURCES = \
  
  geanypg_la_LIBADD = \
-       $(COMMON_LIBS) \
+       $(COMMONLIBS) \
 +      $(GEANY_LIBS) \
        $(GPGME_LIBS)
  
diff --git a/README b/README
deleted file mode 100644 (file)
index 715b61e..0000000
--- a/README
+++ /dev/null
@@ -1,64 +0,0 @@
-geany-plugins
-------------------------------------------
-The Geany-plugins project is a collection of different plugins for 
-Geany, the lightweight IDE.
-
-Runtime requirements:
-  cygwin-1.7.1-1
-  geany-0.18-1
-  libenchant1-1.5.0-1
-  libgcc1-4.3.4-3
-  libgdk_pixbuf2.0_0-2.18.6-1
-  libglib2.0_0-2.22.4-1
-  libgtk2.0_0-2.18.6-1
-  libgtkspell0-2.0.15-11
-  libintl8-0.17-11
-  libpango1.0_0-1.26.2-1
-  lua-5.1.4-11
-  gdb
-  tetex
-
-Build requirements:
-(besides corresponding -devel packages)
-  autoconf2.5-2.65-1
-  automake1.11-1.11.1-1
-  binutils-2.19.51-1
-  cygport-0.9.80-1
-  gawk-3.1.7-1
-  gcc4-core-4.3.4-3
-  gettext-devel-0.17-11
-  gnome-common-2.28.0-1
-  libtool-2.2.7a-15
-  make-3.81-2
-  pkg-config-0.23b-10
-  sed-4.1.5-2
-
-Canonical website:
-  http://plugins.geany.org/
-
-Canonical download:
-  http://plugins.geany.org/geany-plugins/
-
--------------------------------------------
-
-Build instructions:
-  unpack geany-plugins-0.18-X-src.tar.bz2
-    if you use setup to install this src package, it will be
-        unpacked under /usr/src automatically
-  cd /usr/src
-  cygport ./geany-plugins-0.18-X.cygport all
-
-This will create:
-  /usr/src/geany-plugins-0.18-X-src.tar.bz2
-  /usr/src/geany-plugins-0.18-X.tar.bz2
-
--------------------------------------------
-
-Port Notes:
-
------ version 0.18-1 -----
-Initial release for Cygwin 1.7.
-
-
-Cygwin port maintained by:
-http://sourceware.org/cygwinports/
similarity index 55%
rename from geany-plugins-0.21.1-1.cygport
rename to geany-plugins-1.22-1.cygport
index c5893ec3951a46b23066ba8bfd69f1841fd04581..f8386363bba3615bade2837463d1f297ece6445e 100644 (file)
@@ -1,6 +1,9 @@
 inherit gnome2
 
-DESCRIPTION="Collection of plugins for Geany IDE"
+CATEGORY="Editors"
+SUMMARY="Collection of plugins for Geany IDE"
+DESCRIPTION="The Geany-plugins project is a collection of different plugins
+for Geany, the lightweight IDE."
 HOMEPAGE="http://plugins.geany.org/"
 SRC_URI="http://plugins.geany.org/geany-plugins/${P}.tar.bz2"
 
@@ -9,5 +12,9 @@ PATCH_URI="
        0.21.1-no-undefined.patch
 "
 
+REQUIRES="geany"
+
 ACLOCAL_FLAGS="-I build/cache -I build"
 CYGCONF_ARGS="RST2HTML=/usr/bin/rst2html.py"
+
+KEEP_LA_FILES="none"
diff --git a/setup.hint b/setup.hint
deleted file mode 100644 (file)
index fb41ad5..0000000
+++ /dev/null
@@ -1,5 +0,0 @@
-category: Devel Gnome
-requires: geany libctpl2 libdevhelp2_1 libenchant1 libgcc1 libgdk_pixbuf2.0_0 libglib2.0_0 libgpgme11 libgtk2.0_0 libgtkspell0 libintl8 libpango1.0_0 libsoup2.4_1 libvte9 libwebkitgtk1.0_0 libxml2 lua
-sdesc: "Collection of plugins for Geany"
-ldesc: "The Geany-plugins project is a collection of different plugins 
-for Geany, the lightweight IDE."
This page took 0.105749 seconds and 5 git commands to generate.